<bugID>679463<Summary>[meta] Scratchpad object inspector (PropertyPanel) lacking some basic functionality</Summary><Description>The scratch pad inspector is pretty limited.  It really should be able to:

1) open a new inspector on the value of a property
2) allow user to set the title on an inspector so they can keep track of the objects
3) show the attribute values of properties
4) see the source code of methods &amp; getters/setters
4) force evaluation of setters
3) delete properties (if they are configurable)
4) add additional properties</Description></bugID>